
/**
 * Clase utilizada para representar una agrupación de figuras geométricas.
 * 
 * @author Josep Silva 
 * @version 6 Octubre 2013
 */

public class GrupoFiguras
{
    static final int MAX_NUM_FIGURAS = 10;
    private Figura [] listaFiguras = new Figura [MAX_NUM_FIGURAS];
    private int numF=0;

    //Constructor
    public GrupoFiguras(){}

    public int numFiguras() 
    {
        return numF;
    }

    public void anyadeFigura(Figura f)
    {
        listaFiguras[numF++]= f;
    }
    
    public int numTexturas() 
    {
        int num = 0;
        for (int i=0; i<numF; i++)
        {
            if (listaFiguras[i].textura != 0)
            {
                num++;
            }
        }
        
        return num;
    }    
}
